#!/usr/bin/env python

import berserk, subprocess

# Change ACCESS TOKEN according to your need
ACCESS_TOKEN=""


# Notify using notify-send
def notify_send(summary, message):
    subprocess.Popen(['notify-send', '-u', 'critical','-t', '99999999', summary, message])
    return


# Fetch data and notify
session = berserk.TokenSession(ACCESS_TOKEN)
client = berserk.Client(session=session)
data=client.games.get_ongoing()
for game in data:
    opponent=game["opponent"]["username"]
    lastMove=game["lastMove"]
    if game["isMyTurn"]:
        notify_send("Lichess.org ("+opponent+")","It is your turn !\n Your opponent played "+lastMove)

